#
# $Id: libhw.spec,v 1.5 2004/08/17 07:32:14 rider Exp $ 
#
Name: 	libhw
Version: 0.1.4
Release: alt1
Summary: The Linux hardware detection library
Summary(ru_RU.KOI8-R):      Linux
License: GPL
Group: System/Libraries
Requires: hwdatabase >= 0.1.3
URL: http://www.altlinux.com/

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Tue Aug 17 2004
BuildRequires: boost-devel gcc-c++ libstdc++-devel libsysfs-devel

%description
libhw is a hardware detection library.

%package devel
Summary: Development part of %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
Contents header files and development libraries for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Contents static libraries for %name

%package tools
Summary: The Linux hardware detection tools
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description tools
Hardware detection tools

%prep
%setup -q

%define _optlevel s

%build
%make_build CXXFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall DESTDIR=%buildroot

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%dir %_includedir/%name
%_includedir/%name/*

%files devel-static
%_libdir/*.a

%files tools
%_bindir/*

%changelog
* Tue Aug 17 2004 Rider <rider@altlinux.ru> 0.1.4-alt1
- added storagescan tool
- fixed all known bugs
- api extensions (storage class and more)

* Fri May 21 2004 Anton Farygin <rider@altlinux.ru> 0.1.1-alt1
- pciscan: added -s, --slot paramater

* Wed May 19 2004 Anton Farygin <rider@altlinux.ru> 0.1.0-alt1
- first build
